## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples
Class SQLDataTypes

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.SQLDataTypes

    public class SQLDataTypes

extends java.lang.Object

The class describe all datatypes in ASE12/ASE15/ASA/ASIQ. These datatypes are defined in String form because, generallly speaking, we can not get the datatype's sql type from database's systemp tables which are integer. In addition, a map to JDBC SQL type is designed.

Author:
  Shi-feng Yu

Field Summary
`static java.lang.String` `BIGINT`
`static java.lang.String` `BINARY`
`static java.lang.String` `BIT`
`static java.lang.String` `CHAR`
`static java.lang.String` `CHARACTER`
`static java.lang.String` `CHARACTER_VARYING`
`static java.lang.String` `DATE`
`static java.lang.String` `DATETIME`
`static java.lang.String` `DECIMAL`
`static java.lang.String` `DOUBLE`
`static java.lang.String` `DOUBLE_PRECISION`
`static java.lang.String` `FLOAT`
`static java.lang.String` `IMAGE`
`static java.lang.String` `INT`
`static java.lang.String` `INTEGER`
`static java.lang.String` `JAVA_LANG_OBJECT`
`static java.lang.String` `JAVA_SERIALIZARION`
`static java.lang.String` `LONG_BINARY`
`static java.lang.String` `LONG_VARBINARY`
`static java.lang.String` `LONG_VARCHAR`
`static java.lang.String` `LONGSYSNAME`
`static java.lang.String` `MONEY`
`static java.lang.String` `NATIONAL_CHAR`
`static java.lang.String` `NATIONAL_CHARACTER`
`static java.lang.String` `NCHAR`
`static java.lang.String` `NUMERIC`
`static java.lang.String` `NVARCHAR`
`static java.lang.String` `REAL`
`static java.lang.String` `SMALLDATETIME`
`static java.lang.String` `SMALLINT`
`static java.lang.String` `SMALLMONEY`
`static java.lang.String` `SYSNAME`
`static java.lang.String` `TEXT`
`static java.lang.String` `TIME`
`static java.lang.String` `TIMESTAMP`
`static java.lang.String` `TINYINT`
`static java.lang.String` `UNICHAR`
`static java.lang.String` `UNIQUEIDENTIFIER`
`static java.lang.String` `UNIQUEIDENTIFIERSTR`
`static java.lang.String` `UNITEXT`
`static java.lang.String` `UNIVARCHAR`
`static java.lang.String` `UNSIGNED_BIGINT`
`static java.lang.String` `UNSIGNED_INT`
`static java.lang.String` `UNSIGNED_INTEGER`
`static java.lang.String` `UNSIGNED_SMALLINT`
`static java.lang.String` `VARBINARY`
`static java.lang.String` `VARCHAR`
`static java.lang.String` `XML`

Constructor Summary
`SQLDataTypes()`

Method Summary
`static int` `convert2SQLType(java.lang.String typeName)` Convert datatype in String to JDBC SQL type in integer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINARY

    public static final java.lang.String BINARY

See Also:
  Constant Field Values

### BIT

    public static final java.lang.String BIT

See Also:
  Constant Field Values

### BIGINT

    public static final java.lang.String BIGINT

See Also:
  Constant Field Values

### CHAR

    public static final java.lang.String CHAR

See Also:
  Constant Field Values

### CHARACTER

    public static final java.lang.String CHARACTER

See Also:
  Constant Field Values

### CHARACTER_VARYING

    public static final java.lang.String CHARACTER_VARYING

See Also:
  Constant Field Values

### DATE

    public static final java.lang.String DATE

See Also:
  Constant Field Values

### DATETIME

    public static final java.lang.String DATETIME

See Also:
  Constant Field Values

### DECIMAL

    public static final java.lang.String DECIMAL

See Also:
  Constant Field Values

### DOUBLE

    public static final java.lang.String DOUBLE

See Also:
  Constant Field Values

### DOUBLE_PRECISION

    public static final java.lang.String DOUBLE_PRECISION

See Also:
  Constant Field Values

### FLOAT

    public static final java.lang.String FLOAT

See Also:
  Constant Field Values

### IMAGE

    public static final java.lang.String IMAGE

See Also:
  Constant Field Values

### INT

    public static final java.lang.String INT

See Also:
  Constant Field Values

### INTEGER

    public static final java.lang.String INTEGER

See Also:
  Constant Field Values

### LONG_VARCHAR

    public static final java.lang.String LONG_VARCHAR

See Also:
  Constant Field Values

### LONG_BINARY

    public static final java.lang.String LONG_BINARY

See Also:
  Constant Field Values

### LONG_VARBINARY

    public static final java.lang.String LONG_VARBINARY

See Also:
  Constant Field Values

### LONGSYSNAME

    public static final java.lang.String LONGSYSNAME

See Also:
  Constant Field Values

### MONEY

    public static final java.lang.String MONEY

See Also:
  Constant Field Values

### NUMERIC

    public static final java.lang.String NUMERIC

See Also:
  Constant Field Values

### NCHAR

    public static final java.lang.String NCHAR

See Also:
  Constant Field Values

### NATIONAL_CHARACTER

    public static final java.lang.String NATIONAL_CHARACTER

See Also:
  Constant Field Values

### NATIONAL_CHAR

    public static final java.lang.String NATIONAL_CHAR

See Also:
  Constant Field Values

### NVARCHAR

    public static final java.lang.String NVARCHAR

See Also:
  Constant Field Values

### REAL

    public static final java.lang.String REAL

See Also:
  Constant Field Values

### SMALLDATETIME

    public static final java.lang.String SMALLDATETIME

See Also:
  Constant Field Values

### SMALLMONEY

    public static final java.lang.String SMALLMONEY

See Also:
  Constant Field Values

### SYSNAME

    public static final java.lang.String SYSNAME

See Also:
  Constant Field Values

### SMALLINT

    public static final java.lang.String SMALLINT

See Also:
  Constant Field Values

### TIME

    public static final java.lang.String TIME

See Also:
  Constant Field Values

### TIMESTAMP

    public static final java.lang.String TIMESTAMP

See Also:
  Constant Field Values

### TEXT

    public static final java.lang.String TEXT

See Also:
  Constant Field Values

### TINYINT

    public static final java.lang.String TINYINT

See Also:
  Constant Field Values

### UNICHAR

    public static final java.lang.String UNICHAR

See Also:
  Constant Field Values

### UNITEXT

    public static final java.lang.String UNITEXT

See Also:
  Constant Field Values

### UNIVARCHAR

    public static final java.lang.String UNIVARCHAR

See Also:
  Constant Field Values

### UNSIGNED_SMALLINT

    public static final java.lang.String UNSIGNED_SMALLINT

See Also:
  Constant Field Values

### UNSIGNED_INT

    public static final java.lang.String UNSIGNED_INT

See Also:
  Constant Field Values

### UNSIGNED_BIGINT

    public static final java.lang.String UNSIGNED_BIGINT

See Also:
  Constant Field Values

### UNSIGNED_INTEGER

    public static final java.lang.String UNSIGNED_INTEGER

See Also:
  Constant Field Values

### UNIQUEIDENTIFIER

    public static final java.lang.String UNIQUEIDENTIFIER

See Also:
  Constant Field Values

### UNIQUEIDENTIFIERSTR

    public static final java.lang.String UNIQUEIDENTIFIERSTR

See Also:
  Constant Field Values

### VARBINARY

    public static final java.lang.String VARBINARY

See Also:
  Constant Field Values

### VARCHAR

    public static final java.lang.String VARCHAR

See Also:
  Constant Field Values

### XML

    public static final java.lang.String XML

See Also:
  Constant Field Values

### JAVA_LANG_OBJECT

    public static final java.lang.String JAVA_LANG_OBJECT

See Also:
  Constant Field Values

### JAVA_SERIALIZARION

    public static final java.lang.String JAVA_SERIALIZARION

See Also:
  Constant Field Values

Constructor Detail

### SQLDataTypes

    public SQLDataTypes()

Method Detail

### convert2SQLType

    public static int convert2SQLType(java.lang.String typeName)

  Convert datatype in String to JDBC SQL type in integer.

  Parameters:
    `typeName` -
  Returns: